解决”要执行请求的操作,WordPress 需要访问您网页服务器的权限”问题

2010122

在本地ubuntu上搭建的wordpress环境在每次自动升级,或者安装主题插件时就会出现这个“要执行请求的操作,WordPress 需要访问您网页服务器的权限。 请输入您的 FTP 登录凭据以继续。”
2010122
网上说这是因为服务器运行 PHP 的用户和 WP 文件夹的所有者不一样造成的,所以我们通过更改WP文件夹的所有者来解决这个问题,执行:

sudo chown -R www-data /var/www/wordpress
sudo chmod -R 775 /var/www/wordpress

把wordpress的所有者改成www-data就可以了。

0 0 vote
Article Rating
Tags:
Subscribe
Notify of
guest

This site uses Akismet to reduce spam. Learn how your comment data is processed.

1 Comment
Oldest
Newest Most Voted
Inline Feedbacks
View all comments
Youth.霖

暂时还没遇到这种情况